> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/changelog/lenses-5.5/lenses-5.5-helm.md).

# Helm Chart

Chart versions published on the `release/5.5` branch of [lenses-helm-charts](https://github.com/lensesio-dev/lenses-helm-charts). Entries are derived from the chart `version:` bumps and the corresponding commit messages.

## 5.5.23

*Released: 2025-11-20*

## 5.5.22

*Released: 2025-10-03*

## 5.5.21

*Released: 2025-09-18*

## 5.5.20

*Released: 2025-08-21*

## 5.5.19

*Released: 2025-07-21*

* Adds `additionalPodSpec` and `additionalContainerSpec` values for injecting arbitrary fields (e.g. `priorityClassName`, `tty`) into the pod and main container specs

## 5.5.18

*Released: 2025-06-30*

## 5.5.17

*Released: 2025-04-17*

## 5.5.16

*Released: 2025-03-26*

## 5.5.15

*Released: 2024-12-10*

## 5.5.14

*Released: 2024-11-25*

## 5.5.13

*Released: 2024-11-04*

## 5.5.12

*Released: 2024-10-17*

## 5.5.11

*Released: 2024-10-04*

## 5.5.10

*Released: 2024-09-27*

* Pod now restarts automatically when the SAML IdP metadata XML changes (via a `checksum/saml.metadata.xml` pod annotation)

## 5.5.9

*Released: 2024-08-28*

## 5.5.8

*Released: 2024-08-05*

## 5.5.7

*Released: 2024-07-26*

## 5.5.6

*Released: 2024-07-17*

## 5.5.5

*Released: 2024-07-01*

## 5.5.4

*Released: 2024-06-07*

* Adds support for `readOnlyRootFilesystem` containers by mounting writable `emptyDir` volumes for the data and tmp directories
* Optional dedicated PVC for Lenses logs, gated behind a new `lenses.logs.persistence` flag

## 5.5.3

*Released: 2024-05-23*

## 5.5.2

*Released: 2024-04-26*

* Adds chart support for the `generic` SAML IdP provider, including the new `idp.groupsAttribute` (required) and `idp.usernameAttribute` (optional) values

## 5.5.1

*Released: 2024-04-25*

## 5.5.0

*Released: 2024-04-15*

* Initial chart release for the Lenses 5.5 line
* Pod now restarts automatically during `helm upgrade` when `lenses.append.conf` or `lenses.storage.postgres.*` change, so the new settings take effect


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lenses.io/latest/changelog/lenses-5.5/lenses-5.5-helm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
